com.smartgwt.client.types

## Enum DisplayNodeType

- java.lang.Object
- - java.lang.Enum<DisplayNodeType>
  - - com.smartgwt.client.types.DisplayNodeType

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<DisplayNodeType>

      public enum DisplayNodeType
      extends java.lang.Enum<DisplayNodeType>
      implements ValueEnum

  Flag passed to functions as displayNodeType, telling the function whether it should work on folders, leaves or both at once.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FOLDERS` operate on folders only, ignoring leaves
    `LEAVES` operate on leaves only, ignoring folders
    `NULL` operate on both folders and leaves

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static DisplayNodeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DisplayNodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NULL

          public static final DisplayNodeType NULL

      operate on both folders and leaves

    - #### FOLDERS

          public static final DisplayNodeType FOLDERS

      operate on folders only, ignoring leaves

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "folders".

    - #### LEAVES

          public static final DisplayNodeType LEAVES

      operate on leaves only, ignoring folders

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "leaves".

  - ### Method Detail

    - #### values

          public static DisplayNodeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DisplayNodeType c : DisplayNodeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DisplayNodeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`